{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/listmarkets","title":"List markets","description":"GET /api/markets: Returns full markets info with current state","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/listmarkets","markdown":"https://docs.storm.tg/developers/operations/listmarkets.md","json":"https://docs.storm.tg/developers/operations/listmarkets.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/listmarkets"},"operation":{"id":"ListMarkets","method":"GET","path":"/api/markets","summary":"List markets","description":"Returns full markets info with current state","tags":["Markets"],"deprecated":false,"parameters":[],"bodies":[],"responses":[{"status":"200","description":"Response","mediaType":"application/json","properties":[],"schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Data.MarketResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"description":"Market address","example":"string","schema":{"type":"string","types":["string"],"description":"Market address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"amm","type":"object","required":true,"description":"Current amm state","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"txId\": \"string\",\n  \"call\": \"OffchainOracleTick\",\n  \"height\": \"0\",\n  \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n  \"seqno\": \"0\",\n  \"indexPrice\": \"0\",\n  \"baseOraclePrice\": \"0\",\n  \"quoteOraclePrice\": \"0\",\n  \"quoteAssetReserve\": \"0\",\n  \"baseAssetReserve\": \"0\",\n  \"baseAssetReserveWeight\": \"0\",\n  \"quoteAssetReserveWeight\": \"0\",\n  \"totalPositionSize\": \"0\",\n  \"totalLongPositionSize\": \"0\",\n  \"totalShortPositionSize\": \"0\",\n  \"openInterestNotional\": \"0\",\n  \"openInterestShort\": \"0\",\n  \"openInterestLong\": \"0\",\n  \"latestLongPremiumFraction\": \"0\",\n  \"latestShortPremiumFraction\": \"0\",\n  \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\",\n  \"vpiMarketDepthLong\": \"0\",\n  \"vpiMarketDepthShort\": \"0\",\n  \"vpiSpread\": \"0\",\n  \"vpiCoefficient\": \"0\"\n}","schema":{"type":"object","types":["object"],"description":"Current amm state","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txId","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"call","type":"string","required":true,"example":"OffchainOracleTick","schema":{"type":"string","types":["string"],"example":"OffchainOracleTick","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"height","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"blockTimestamp","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"seqno","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"indexPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseOraclePrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteOraclePrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteAssetReserve","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseAssetReserve","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseAssetReserveWeight","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"quoteAssetReserveWeight","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalLongPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"totalShortPositionSize","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestNotional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestShort","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"openInterestLong","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"latestLongPremiumFraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"latestShortPremiumFraction","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"nextFundingBlock","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"longFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"shortFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiMarketDepthLong","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiMarketDepthShort","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiSpread","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"vpiCoefficient","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"change","type":"object","required":true,"description":"Market volumes daily changes","example":"{\n  \"quoteVolume\": \"0\",\n  \"baseVolume\": \"0\",\n  \"initialPrice\": 0\n}","schema":{"type":"object","types":["object"],"description":"Market volumes daily changes","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"quoteVolume","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"baseVolume","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"initialPrice","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"incentive","type":"object","required":true,"description":"Funding info","example":"{\n  \"timestamp\": \"2026-01-01T00:00:00Z\",\n  \"twapIndexPrice\": \"0\",\n  \"twapSpotPrice\": \"0\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\"\n}","schema":{"type":"object","types":["object"],"description":"Funding info","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"timestamp","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"twapIndexPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"twapSpotPrice","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"longFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"shortFundingRate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"settings","type":"object","required":true,"description":"Amm settings","example":"{\n  \"fee\": \"0\",\n  \"executionFee\": \"0\",\n  \"rolloverFee\": \"0\",\n  \"fundingPeriod\": 0,\n  \"ammType\": \"string\",\n  \"minInitMarginRatio\": \"0\",\n  \"initMarginRatio\": \"0\",\n  \"maintenanceMarginRatio\": \"0\",\n  \"liquidationFeeRatio\": \"0\",\n  \"partialLiquidationRatio\": \"0\",\n  \"spreadLimit\": \"0\",\n  \"maxPriceImpact\": \"0\",\n  \"maxPriceSpread\": \"0\",\n  \"maxOpenNotional\": \"0\",\n  \"feeToStakersPercent\": \"0\",\n  \"maxOracleDelay\": 0,\n  \"fundingMode\": 0,\n  \"oracleMode\": 0,\n  \"positionMode\": 0,\n  \"fundingSettings\": {\n    \"lowFundingFnA\": 0,\n    \"lowFundingFnB\": 0,\n    \"highFundingFnA\": 0,\n    \"highFundingFnB\": 0,\n    \"inflectionPoint\": 0\n  },\n  \"isCloseOnly\": true,\n  \"isPaused\": true,\n  \"status\": \"active\"\n}","schema":{"type":"object","types":["object"],"description":"Amm settings","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"fee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"executionFee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"rolloverFee","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"fundingPeriod","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ammType","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"minInitMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"initMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maintenanceMarginRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"liquidationFeeRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"partialLiquidationRatio","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"spreadLimit","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxPriceImpact","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxPriceSpread","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxOpenNotional","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"feeToStakersPercent","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"maxOracleDelay","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fundingMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"oracleMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"positionMode","type":"number","required":true,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fundingSettings","type":"object · nullable","required":true,"example":"{\n  \"lowFundingFnA\": 0,\n  \"lowFundingFnB\": 0,\n  \"highFundingFnA\": 0,\n  \"highFundingFnB\": 0,\n  \"inflectionPoint\": 0\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"lowFundingFnA","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lowFundingFnB","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"highFundingFnA","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"highFundingFnB","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inflectionPoint","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"isCloseOnly","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isPaused","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string · enum","required":true,"example":"active","schema":{"type":"string · enum","types":["string"],"enum":["active","closed","paused","closeOnly"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"config","type":"object","required":true,"description":"Market config","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"imageLink\": \"string\",\n  \"quoteAsset\": \"string\",\n  \"baseAsset\": \"string\",\n  \"name\": \"string\",\n  \"ticker\": \"string\",\n  \"vaultAddress\": \"string\",\n  \"type\": \"string\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"isDayTrading\": true,\n  \"dayTradingLeverageLimit\": 0\n}","schema":{"type":"object","types":["object"],"description":"Market config","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"imageLink","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"quoteAsset","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"baseAsset","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"name","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ticker","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"vaultAddress","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"type","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"tags","type":"string[]","required":true,"example":"[\n  \"string\"\n]","schema":{"type":"string[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"closestPauseAt","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isDayTrading","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"dayTradingLeverageLimit","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"prelaunch","type":"object","required":false,"description":"Prelaunch","example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"assetName\": \"string\",\n  \"startTime\": \"2026-01-01T00:00:00Z\",\n  \"endTime\": \"2026-01-01T00:00:00Z\",\n  \"paused\": true,\n  \"closeOnly\": true,\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"settings\": {\n    \"tradingDelayForNonWhitelistUsers\": 0,\n    \"preMarketStatus\": \"off\",\n    \"showAlert\": true,\n    \"alertType\": \"warning\",\n    \"alertTitle\": \"string\",\n    \"alertSubtitle\": \"string\"\n  }\n}","schema":{"type":"object","types":["object"],"description":"Prelaunch","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"assetName","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"startTime","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"endTime","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"paused","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closeOnly","type":"boolean","required":true,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"createdAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"settings","type":"object · nullable","required":true,"example":"{\n  \"tradingDelayForNonWhitelistUsers\": 0,\n  \"preMarketStatus\": \"off\",\n  \"showAlert\": true,\n  \"alertType\": \"warning\",\n  \"alertTitle\": \"string\",\n  \"alertSubtitle\": \"string\"\n}","schema":{"type":"object · nullable","types":["object"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"tradingDelayForNonWhitelistUsers","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"preMarketStatus","type":"string · enum","required":false,"example":"off","schema":{"type":"string · enum","types":["string"],"enum":["off","whitelistOnly","allowedForAll"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"showAlert","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertType","type":"string · enum","required":false,"example":"warning","schema":{"type":"string · enum","types":["string"],"enum":["warning","success","info","error"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertTitle","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"alertSubtitle","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]}}],"variants":[]},"variants":[]},"example":"[\n  {\n    \"address\": \"string\",\n    \"amm\": {\n      \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"txId\": \"string\",\n      \"call\": \"OffchainOracleTick\",\n      \"height\": \"0\",\n      \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n      \"seqno\": \"0\",\n      \"indexPrice\": \"0\",\n      \"baseOraclePrice\": \"0\",\n      \"quoteOraclePrice\": \"0\",\n      \"quoteAssetReserve\": \"0\",\n      \"baseAssetReserve\": \"0\",\n      \"baseAssetReserveWeight\": \"0\",\n      \"quoteAssetReserveWeight\": \"0\",\n      \"totalPositionSize\": \"0\",\n      \"totalLongPositionSize\": \"0\",\n      \"totalShortPositionSize\": \"0\",\n      \"openInterestNotional\": \"0\",\n      \"openInterestShort\": \"0\",\n      \"openInterestLong\": \"0\",\n      \"latestLongPremiumFraction\": \"0\",\n      \"latestShortPremiumFraction\": \"0\",\n      \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n      \"longFundingRate\": \"0\",\n      \"shortFundingRate\": \"0\",\n      \"vpiMarketDepthLong\": \"0\",\n      \"vpiMarketDepthShort\": \"0\",\n      \"vpiSpread\": \"0\",\n      \"vpiCoefficient\": \"0\"\n    },\n    \"change\": {\n      \"quoteVolume\": \"0\",\n      \"baseVolume\": \"0\",\n      \"initialPrice\": 0\n    },\n    \"incentive\": {\n      \"timestamp\": \"2026-01-01T00:00:00Z\",\n      \"twapIndexPrice\": \"0\",\n      \"twapSpotPrice\": \"0\",\n      \"longFundingRate\": \"0\",\n      \"shortFundingRate\": \"0\"\n    },\n    \"settings\": {\n      \"fee\": \"0\",\n      \"executionFee\": \"0\",\n      \"rolloverFee\": \"0\",\n      \"fundingPeriod\": 0,\n      \"ammType\": \"string\",\n      \"minInitMarginRatio\": \"0\",\n      \"initMarginRatio\": \"0\",\n      \"maintenanceMarginRatio\": \"0\",\n      \"liquidationFeeRatio\": \"0\",\n      \"partialLiquidationRatio\": \"0\",\n      \"spreadLimit\": \"0\",\n      \"maxPriceImpact\": \"0\",\n      \"maxPriceSpread\": \"0\",\n      \"maxOpenNotional\": \"0\",\n      \"feeToStakersPercent\": \"0\",\n      \"maxOracleDelay\": 0,\n      \"fundingMode\": 0,\n      \"oracleMode\": 0,\n      \"positionMode\": 0,\n      \"fundingSettings\": {\n        \"lowFundingFnA\": 0,\n        \"lowFundingFnB\": 0,\n        \"highFundingFnA\": 0,\n        \"highFundingFnB\": 0,\n        \"inflectionPoint\": 0\n      },\n      \"isCloseOnly\": true,\n      \"isPaused\": true,\n      \"status\": \"active\"\n    },\n    \"config\": {\n      \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"imageLink\": \"string\",\n      \"quoteAsset\": \"string\",\n      \"baseAsset\": \"string\",\n      \"name\": \"string\",\n      \"ticker\": \"string\",\n      \"vaultAddress\": \"string\",\n      \"type\": \"string\",\n      \"tags\": [\n        \"string\"\n      ],\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"isDayTrading\": true,\n      \"dayTradingLeverageLimit\": 0\n    },\n    \"prelaunch\": {\n      \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"assetName\": \"string\",\n      \"startTime\": \"2026-01-01T00:00:00Z\",\n      \"endTime\": \"2026-01-01T00:00:00Z\",\n      \"paused\": true,\n      \"closeOnly\": true,\n      \"createdAt\": \"2026-01-01T00:00:00Z\",\n      \"settings\": {\n        \"tradingDelayForNonWhitelistUsers\": 0,\n        \"preMarketStatus\": \"off\",\n        \"showAlert\": true,\n        \"alertType\": \"warning\",\n        \"alertTitle\": \"string\",\n        \"alertSubtitle\": \"string\"\n      }\n    }\n  }\n]","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/api/markets' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/api/markets\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/markets\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"List markets","url":"https://docs.storm.tg/developers/operations/listmarkets"}],"headings":[{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# List markets\n\n`GET /api/markets`\n\nReturns full markets info with current state\n\n## Authorization\n\n\n\n## Parameters\n\n\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/api/markets' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/api/markets\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/markets\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Data.MarketResponse\n\n**200** application/json — Response\n\nType: object[]\n\n[]Schema: Data.MarketResponse\n\n[]Type: object\n\n[]Required fields: address, amm, change, incentive, settings, config\n\n[]Required field types: address (string; required), amm (object; required), change (object; required), incentive (object; required), settings (object; required), config (object; required)\n\n- []address (string; required)\n\n[]address example: string\n\n[]address.Type: string\n\n[]address.Market address\n\n- []amm (object; required)\n\n[]amm example: {\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"txId\": \"string\",\n  \"call\": \"OffchainOracleTick\",\n  \"height\": \"0\",\n  \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n  \"seqno\": \"0\",\n  \"indexPrice\": \"0\",\n  \"baseOraclePrice\": \"0\",\n  \"quoteOraclePrice\": \"0\",\n  \"quoteAssetReserve\": \"0\",\n  \"baseAssetReserve\": \"0\",\n  \"baseAssetReserveWeight\": \"0\",\n  \"quoteAssetReserveWeight\": \"0\",\n  \"totalPositionSize\": \"0\",\n  \"totalLongPositionSize\": \"0\",\n  \"totalShortPositionSize\": \"0\",\n  \"openInterestNotional\": \"0\",\n  \"openInterestShort\": \"0\",\n  \"openInterestLong\": \"0\",\n  \"latestLongPremiumFraction\": \"0\",\n  \"latestShortPremiumFraction\": \"0\",\n  \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\",\n  \"vpiMarketDepthLong\": \"0\",\n  \"vpiMarketDepthShort\": \"0\",\n  \"vpiSpread\": \"0\",\n  \"vpiCoefficient\": \"0\"\n}\n\n[]amm.Type: object\n\n[]amm.Required fields: address, txId, call, height, blockTimestamp, seqno, indexPrice, baseOraclePrice, quoteOraclePrice, quoteAssetReserve, baseAssetReserve, baseAssetReserveWeight, quoteAssetReserveWeight, totalPositionSize, totalLongPositionSize, totalShortPositionSize, openInterestNotional, openInterestShort, openInterestLong, latestLongPremiumFraction, latestShortPremiumFraction, nextFundingBlock, longFundingRate, shortFundingRate, vpiMarketDepthLong, vpiMarketDepthShort, vpiSpread, vpiCoefficient\n\n[]amm.Required field types: address (string; required), txId (string · nullable; required), call (string; required), height (string · int64; required), blockTimestamp (string · date-time; required), seqno (string · int64; required), indexPrice (string · int64; required), baseOraclePrice (string · int64; required), quoteOraclePrice (string · int64; required), quoteAssetReserve (string · int64; required), baseAssetReserve (string · int64; required), baseAssetReserveWeight (string · int64; required), quoteAssetReserveWeight (string · int64; required), totalPositionSize (string · int64; required), totalLongPositionSize (string · int64; required), totalShortPositionSize (string · int64; required), openInterestNotional (string · int64; required), openInterestShort (string · int64; required), openInterestLong (string · int64; required), latestLongPremiumFraction (string · int64; required), latestShortPremiumFraction (string · int64; required), nextFundingBlock (string · date-time; required), longFundingRate (string · int64; required), shortFundingRate (string · int64; required), vpiMarketDepthLong (string · int64; required), vpiMarketDepthShort (string · int64; required), vpiSpread (string · int64; required), vpiCoefficient (string · int64; required)\n\n[]amm.Current amm state\n\n- []amm.address (string; required)\n\n[]amm.address example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]amm.address.Type: string\n\n- []amm.txId (string · nullable; required)\n\n[]amm.txId example: string\n\n[]amm.txId.Type: string · nullable\n\n- []amm.call (string; required)\n\n[]amm.call example: OffchainOracleTick\n\n[]amm.call.Type: string\n\n- []amm.height (string · int64; required)\n\n[]amm.height example: 0\n\n[]amm.height.Type: string · int64\n\n[]amm.height.format: int64\n\n[]amm.height.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.blockTimestamp (string · date-time; required)\n\n[]amm.blockTimestamp example: 2026-01-01T00:00:00Z\n\n[]amm.blockTimestamp.Type: string · date-time\n\n[]amm.blockTimestamp.format: date-time\n\n- []amm.seqno (string · int64; required)\n\n[]amm.seqno example: 0\n\n[]amm.seqno.Type: string · int64\n\n[]amm.seqno.format: int64\n\n[]amm.seqno.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.indexPrice (string · int64; required)\n\n[]amm.indexPrice example: 0\n\n[]amm.indexPrice.Type: string · int64\n\n[]amm.indexPrice.format: int64\n\n[]amm.indexPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.baseOraclePrice (string · int64; required)\n\n[]amm.baseOraclePrice example: 0\n\n[]amm.baseOraclePrice.Type: string · int64\n\n[]amm.baseOraclePrice.format: int64\n\n[]amm.baseOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.quoteOraclePrice (string · int64; required)\n\n[]amm.quoteOraclePrice example: 0\n\n[]amm.quoteOraclePrice.Type: string · int64\n\n[]amm.quoteOraclePrice.format: int64\n\n[]amm.quoteOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.quoteAssetReserve (string · int64; required)\n\n[]amm.quoteAssetReserve example: 0\n\n[]amm.quoteAssetReserve.Type: string · int64\n\n[]amm.quoteAssetReserve.format: int64\n\n[]amm.quoteAssetReserve.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.baseAssetReserve (string · int64; required)\n\n[]amm.baseAssetReserve example: 0\n\n[]amm.baseAssetReserve.Type: string · int64\n\n[]amm.baseAssetReserve.format: int64\n\n[]amm.baseAssetReserve.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.baseAssetReserveWeight (string · int64; required)\n\n[]amm.baseAssetReserveWeight example: 0\n\n[]amm.baseAssetReserveWeight.Type: string · int64\n\n[]amm.baseAssetReserveWeight.format: int64\n\n[]amm.baseAssetReserveWeight.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.quoteAssetReserveWeight (string · int64; required)\n\n[]amm.quoteAssetReserveWeight example: 0\n\n[]amm.quoteAssetReserveWeight.Type: string · int64\n\n[]amm.quoteAssetReserveWeight.format: int64\n\n[]amm.quoteAssetReserveWeight.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.totalPositionSize (string · int64; required)\n\n[]amm.totalPositionSize example: 0\n\n[]amm.totalPositionSize.Type: string · int64\n\n[]amm.totalPositionSize.format: int64\n\n[]amm.totalPositionSize.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.totalLongPositionSize (string · int64; required)\n\n[]amm.totalLongPositionSize example: 0\n\n[]amm.totalLongPositionSize.Type: string · int64\n\n[]amm.totalLongPositionSize.format: int64\n\n[]amm.totalLongPositionSize.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.totalShortPositionSize (string · int64; required)\n\n[]amm.totalShortPositionSize example: 0\n\n[]amm.totalShortPositionSize.Type: string · int64\n\n[]amm.totalShortPositionSize.format: int64\n\n[]amm.totalShortPositionSize.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.openInterestNotional (string · int64; required)\n\n[]amm.openInterestNotional example: 0\n\n[]amm.openInterestNotional.Type: string · int64\n\n[]amm.openInterestNotional.format: int64\n\n[]amm.openInterestNotional.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.openInterestShort (string · int64; required)\n\n[]amm.openInterestShort example: 0\n\n[]amm.openInterestShort.Type: string · int64\n\n[]amm.openInterestShort.format: int64\n\n[]amm.openInterestShort.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.openInterestLong (string · int64; required)\n\n[]amm.openInterestLong example: 0\n\n[]amm.openInterestLong.Type: string · int64\n\n[]amm.openInterestLong.format: int64\n\n[]amm.openInterestLong.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.latestLongPremiumFraction (string · int64; required)\n\n[]amm.latestLongPremiumFraction example: 0\n\n[]amm.latestLongPremiumFraction.Type: string · int64\n\n[]amm.latestLongPremiumFraction.format: int64\n\n[]amm.latestLongPremiumFraction.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.latestShortPremiumFraction (string · int64; required)\n\n[]amm.latestShortPremiumFraction example: 0\n\n[]amm.latestShortPremiumFraction.Type: string · int64\n\n[]amm.latestShortPremiumFraction.format: int64\n\n[]amm.latestShortPremiumFraction.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.nextFundingBlock (string · date-time; required)\n\n[]amm.nextFundingBlock example: 2026-01-01T00:00:00Z\n\n[]amm.nextFundingBlock.Type: string · date-time\n\n[]amm.nextFundingBlock.format: date-time\n\n- []amm.longFundingRate (string · int64; required)\n\n[]amm.longFundingRate example: 0\n\n[]amm.longFundingRate.Type: string · int64\n\n[]amm.longFundingRate.format: int64\n\n[]amm.longFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.shortFundingRate (string · int64; required)\n\n[]amm.shortFundingRate example: 0\n\n[]amm.shortFundingRate.Type: string · int64\n\n[]amm.shortFundingRate.format: int64\n\n[]amm.shortFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.vpiMarketDepthLong (string · int64; required)\n\n[]amm.vpiMarketDepthLong example: 0\n\n[]amm.vpiMarketDepthLong.Type: string · int64\n\n[]amm.vpiMarketDepthLong.format: int64\n\n[]amm.vpiMarketDepthLong.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.vpiMarketDepthShort (string · int64; required)\n\n[]amm.vpiMarketDepthShort example: 0\n\n[]amm.vpiMarketDepthShort.Type: string · int64\n\n[]amm.vpiMarketDepthShort.format: int64\n\n[]amm.vpiMarketDepthShort.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.vpiSpread (string · int64; required)\n\n[]amm.vpiSpread example: 0\n\n[]amm.vpiSpread.Type: string · int64\n\n[]amm.vpiSpread.format: int64\n\n[]amm.vpiSpread.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []amm.vpiCoefficient (string · int64; required)\n\n[]amm.vpiCoefficient example: 0\n\n[]amm.vpiCoefficient.Type: string · int64\n\n[]amm.vpiCoefficient.format: int64\n\n[]amm.vpiCoefficient.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []change (object; required)\n\n[]change example: {\n  \"quoteVolume\": \"0\",\n  \"baseVolume\": \"0\",\n  \"initialPrice\": 0\n}\n\n[]change.Type: object\n\n[]change.Required fields: quoteVolume, baseVolume, initialPrice\n\n[]change.Required field types: quoteVolume (string · int64; required), baseVolume (string · int64; required), initialPrice (number; required)\n\n[]change.Market volumes daily changes\n\n- []change.quoteVolume (string · int64; required)\n\n[]change.quoteVolume example: 0\n\n[]change.quoteVolume.Type: string · int64\n\n[]change.quoteVolume.format: int64\n\n[]change.quoteVolume.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []change.baseVolume (string · int64; required)\n\n[]change.baseVolume example: 0\n\n[]change.baseVolume.Type: string · int64\n\n[]change.baseVolume.format: int64\n\n[]change.baseVolume.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []change.initialPrice (number; required)\n\n[]change.initialPrice example: 0\n\n[]change.initialPrice.Type: number\n\n- []incentive (object; required)\n\n[]incentive example: {\n  \"timestamp\": \"2026-01-01T00:00:00Z\",\n  \"twapIndexPrice\": \"0\",\n  \"twapSpotPrice\": \"0\",\n  \"longFundingRate\": \"0\",\n  \"shortFundingRate\": \"0\"\n}\n\n[]incentive.Type: object\n\n[]incentive.Required fields: timestamp, twapIndexPrice, twapSpotPrice, longFundingRate, shortFundingRate\n\n[]incentive.Required field types: timestamp (string · date-time · nullable; required), twapIndexPrice (string · int64; required), twapSpotPrice (string · int64; required), longFundingRate (string · int64; required), shortFundingRate (string · int64; required)\n\n[]incentive.Funding info\n\n- []incentive.timestamp (string · date-time · nullable; required)\n\n[]incentive.timestamp example: 2026-01-01T00:00:00Z\n\n[]incentive.timestamp.Type: string · date-time · nullable\n\n[]incentive.timestamp.format: date-time\n\n- []incentive.twapIndexPrice (string · int64; required)\n\n[]incentive.twapIndexPrice example: 0\n\n[]incentive.twapIndexPrice.Type: string · int64\n\n[]incentive.twapIndexPrice.format: int64\n\n[]incentive.twapIndexPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []incentive.twapSpotPrice (string · int64; required)\n\n[]incentive.twapSpotPrice example: 0\n\n[]incentive.twapSpotPrice.Type: string · int64\n\n[]incentive.twapSpotPrice.format: int64\n\n[]incentive.twapSpotPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []incentive.longFundingRate (string · int64; required)\n\n[]incentive.longFundingRate example: 0\n\n[]incentive.longFundingRate.Type: string · int64\n\n[]incentive.longFundingRate.format: int64\n\n[]incentive.longFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []incentive.shortFundingRate (string · int64; required)\n\n[]incentive.shortFundingRate example: 0\n\n[]incentive.shortFundingRate.Type: string · int64\n\n[]incentive.shortFundingRate.format: int64\n\n[]incentive.shortFundingRate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings (object; required)\n\n[]settings example: {\n  \"fee\": \"0\",\n  \"executionFee\": \"0\",\n  \"rolloverFee\": \"0\",\n  \"fundingPeriod\": 0,\n  \"ammType\": \"string\",\n  \"minInitMarginRatio\": \"0\",\n  \"initMarginRatio\": \"0\",\n  \"maintenanceMarginRatio\": \"0\",\n  \"liquidationFeeRatio\": \"0\",\n  \"partialLiquidationRatio\": \"0\",\n  \"spreadLimit\": \"0\",\n  \"maxPriceImpact\": \"0\",\n  \"maxPriceSpread\": \"0\",\n  \"maxOpenNotional\": \"0\",\n  \"feeToStakersPercent\": \"0\",\n  \"maxOracleDelay\": 0,\n  \"fundingMode\": 0,\n  \"oracleMode\": 0,\n  \"positionMode\": 0,\n  \"fundingSettings\": {\n    \"lowFundingFnA\": 0,\n    \"lowFundingFnB\": 0,\n    \"highFundingFnA\": 0,\n    \"highFundingFnB\": 0,\n    \"inflectionPoint\": 0\n  },\n  \"isCloseOnly\": true,\n  \"isPaused\": true,\n  \"status\": \"active\"\n}\n\n[]settings.Type: object\n\n[]settings.Required fields: fee, executionFee, rolloverFee, fundingPeriod, ammType, minInitMarginRatio, initMarginRatio, maintenanceMarginRatio, liquidationFeeRatio, partialLiquidationRatio, spreadLimit, maxPriceImpact, maxPriceSpread, maxOpenNotional, feeToStakersPercent, maxOracleDelay, fundingMode, oracleMode, positionMode, fundingSettings, isCloseOnly, isPaused, status\n\n[]settings.Required field types: fee (string · int64; required), executionFee (string · int64; required), rolloverFee (string · int64; required), fundingPeriod (number; required), ammType (string; required), minInitMarginRatio (string · int64; required), initMarginRatio (string · int64; required), maintenanceMarginRatio (string · int64; required), liquidationFeeRatio (string · int64; required), partialLiquidationRatio (string · int64; required), spreadLimit (string · int64; required), maxPriceImpact (string · int64; required), maxPriceSpread (string · int64; required), maxOpenNotional (string · int64; required), feeToStakersPercent (string · int64; required), maxOracleDelay (number; required), fundingMode (number; required), oracleMode (number; required), positionMode (number; required), fundingSettings (object · nullable; required), isCloseOnly (boolean; required), isPaused (boolean; required), status (string · enum; required)\n\n[]settings.Amm settings\n\n- []settings.fee (string · int64; required)\n\n[]settings.fee example: 0\n\n[]settings.fee.Type: string · int64\n\n[]settings.fee.format: int64\n\n[]settings.fee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.executionFee (string · int64; required)\n\n[]settings.executionFee example: 0\n\n[]settings.executionFee.Type: string · int64\n\n[]settings.executionFee.format: int64\n\n[]settings.executionFee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.rolloverFee (string · int64; required)\n\n[]settings.rolloverFee example: 0\n\n[]settings.rolloverFee.Type: string · int64\n\n[]settings.rolloverFee.format: int64\n\n[]settings.rolloverFee.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.fundingPeriod (number; required)\n\n[]settings.fundingPeriod example: 0\n\n[]settings.fundingPeriod.Type: number\n\n- []settings.ammType (string; required)\n\n[]settings.ammType example: string\n\n[]settings.ammType.Type: string\n\n- []settings.minInitMarginRatio (string · int64; required)\n\n[]settings.minInitMarginRatio example: 0\n\n[]settings.minInitMarginRatio.Type: string · int64\n\n[]settings.minInitMarginRatio.format: int64\n\n[]settings.minInitMarginRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.initMarginRatio (string · int64; required)\n\n[]settings.initMarginRatio example: 0\n\n[]settings.initMarginRatio.Type: string · int64\n\n[]settings.initMarginRatio.format: int64\n\n[]settings.initMarginRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.maintenanceMarginRatio (string · int64; required)\n\n[]settings.maintenanceMarginRatio example: 0\n\n[]settings.maintenanceMarginRatio.Type: string · int64\n\n[]settings.maintenanceMarginRatio.format: int64\n\n[]settings.maintenanceMarginRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.liquidationFeeRatio (string · int64; required)\n\n[]settings.liquidationFeeRatio example: 0\n\n[]settings.liquidationFeeRatio.Type: string · int64\n\n[]settings.liquidationFeeRatio.format: int64\n\n[]settings.liquidationFeeRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.partialLiquidationRatio (string · int64; required)\n\n[]settings.partialLiquidationRatio example: 0\n\n[]settings.partialLiquidationRatio.Type: string · int64\n\n[]settings.partialLiquidationRatio.format: int64\n\n[]settings.partialLiquidationRatio.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.spreadLimit (string · int64; required)\n\n[]settings.spreadLimit example: 0\n\n[]settings.spreadLimit.Type: string · int64\n\n[]settings.spreadLimit.format: int64\n\n[]settings.spreadLimit.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.maxPriceImpact (string · int64; required)\n\n[]settings.maxPriceImpact example: 0\n\n[]settings.maxPriceImpact.Type: string · int64\n\n[]settings.maxPriceImpact.format: int64\n\n[]settings.maxPriceImpact.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.maxPriceSpread (string · int64; required)\n\n[]settings.maxPriceSpread example: 0\n\n[]settings.maxPriceSpread.Type: string · int64\n\n[]settings.maxPriceSpread.format: int64\n\n[]settings.maxPriceSpread.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.maxOpenNotional (string · int64; required)\n\n[]settings.maxOpenNotional example: 0\n\n[]settings.maxOpenNotional.Type: string · int64\n\n[]settings.maxOpenNotional.format: int64\n\n[]settings.maxOpenNotional.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.feeToStakersPercent (string · int64; required)\n\n[]settings.feeToStakersPercent example: 0\n\n[]settings.feeToStakersPercent.Type: string · int64\n\n[]settings.feeToStakersPercent.format: int64\n\n[]settings.feeToStakersPercent.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settings.maxOracleDelay (number; required)\n\n[]settings.maxOracleDelay example: 0\n\n[]settings.maxOracleDelay.Type: number\n\n- []settings.fundingMode (number; required)\n\n[]settings.fundingMode example: 0\n\n[]settings.fundingMode.Type: number\n\n- []settings.oracleMode (number; required)\n\n[]settings.oracleMode example: 0\n\n[]settings.oracleMode.Type: number\n\n- []settings.positionMode (number; required)\n\n[]settings.positionMode example: 0\n\n[]settings.positionMode.Type: number\n\n- []settings.fundingSettings (object · nullable; required)\n\n[]settings.fundingSettings example: {\n  \"lowFundingFnA\": 0,\n  \"lowFundingFnB\": 0,\n  \"highFundingFnA\": 0,\n  \"highFundingFnB\": 0,\n  \"inflectionPoint\": 0\n}\n\n[]settings.fundingSettings.Type: object · nullable\n\n[]settings.fundingSettings.Required fields: none\n\n- []settings.fundingSettings.lowFundingFnA (number; optional)\n\n[]settings.fundingSettings.lowFundingFnA example: 0\n\n[]settings.fundingSettings.lowFundingFnA.Type: number\n\n- []settings.fundingSettings.lowFundingFnB (number; optional)\n\n[]settings.fundingSettings.lowFundingFnB example: 0\n\n[]settings.fundingSettings.lowFundingFnB.Type: number\n\n- []settings.fundingSettings.highFundingFnA (number; optional)\n\n[]settings.fundingSettings.highFundingFnA example: 0\n\n[]settings.fundingSettings.highFundingFnA.Type: number\n\n- []settings.fundingSettings.highFundingFnB (number; optional)\n\n[]settings.fundingSettings.highFundingFnB example: 0\n\n[]settings.fundingSettings.highFundingFnB.Type: number\n\n- []settings.fundingSettings.inflectionPoint (number; optional)\n\n[]settings.fundingSettings.inflectionPoint example: 0\n\n[]settings.fundingSettings.inflectionPoint.Type: number\n\n- []settings.isCloseOnly (boolean; required)\n\n[]settings.isCloseOnly example: true\n\n[]settings.isCloseOnly.Type: boolean\n\n- []settings.isPaused (boolean; required)\n\n[]settings.isPaused example: true\n\n[]settings.isPaused.Type: boolean\n\n- []settings.status (string · enum; required)\n\n[]settings.status example: active\n\n[]settings.status.Type: string · enum\n\n[]settings.status.Allowed values: [\"active\",\"closed\",\"paused\",\"closeOnly\"]\n\n- []config (object; required)\n\n[]config example: {\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"imageLink\": \"string\",\n  \"quoteAsset\": \"string\",\n  \"baseAsset\": \"string\",\n  \"name\": \"string\",\n  \"ticker\": \"string\",\n  \"vaultAddress\": \"string\",\n  \"type\": \"string\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"isDayTrading\": true,\n  \"dayTradingLeverageLimit\": 0\n}\n\n[]config.Type: object\n\n[]config.Required fields: address, imageLink, quoteAsset, baseAsset, name, ticker, vaultAddress, tags, closestPauseAt, closestUnpauseAt, isDayTrading, dayTradingLeverageLimit\n\n[]config.Required field types: address (string; required), imageLink (string; required), quoteAsset (string; required), baseAsset (string; required), name (string; required), ticker (string; required), vaultAddress (string; required), tags (string[]; required), closestPauseAt (number · nullable; required), closestUnpauseAt (number · nullable; required), isDayTrading (boolean; required), dayTradingLeverageLimit (number · nullable; required)\n\n[]config.Market config\n\n- []config.address (string; required)\n\n[]config.address example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]config.address.Type: string\n\n- []config.imageLink (string; required)\n\n[]config.imageLink example: string\n\n[]config.imageLink.Type: string\n\n- []config.quoteAsset (string; required)\n\n[]config.quoteAsset example: string\n\n[]config.quoteAsset.Type: string\n\n- []config.baseAsset (string; required)\n\n[]config.baseAsset example: string\n\n[]config.baseAsset.Type: string\n\n- []config.name (string; required)\n\n[]config.name example: string\n\n[]config.name.Type: string\n\n- []config.ticker (string; required)\n\n[]config.ticker example: string\n\n[]config.ticker.Type: string\n\n- []config.vaultAddress (string; required)\n\n[]config.vaultAddress example: string\n\n[]config.vaultAddress.Type: string\n\n- []config.type (string; optional)\n\n[]config.type example: string\n\n[]config.type.Type: string\n\n- []config.tags (string[]; required)\n\n[]config.tags example: [\n  \"string\"\n]\n\n[]config.tags.Type: string[]\n\n[]config.tags.[]Type: string\n\n- []config.closestPauseAt (number · nullable; required)\n\n[]config.closestPauseAt example: 0\n\n[]config.closestPauseAt.Type: number · nullable\n\n- []config.closestUnpauseAt (number · nullable; required)\n\n[]config.closestUnpauseAt example: 0\n\n[]config.closestUnpauseAt.Type: number · nullable\n\n- []config.isDayTrading (boolean; required)\n\n[]config.isDayTrading example: true\n\n[]config.isDayTrading.Type: boolean\n\n- []config.dayTradingLeverageLimit (number · nullable; required)\n\n[]config.dayTradingLeverageLimit example: 0\n\n[]config.dayTradingLeverageLimit.Type: number · nullable\n\n- []prelaunch (object; optional)\n\n[]prelaunch example: {\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"assetName\": \"string\",\n  \"startTime\": \"2026-01-01T00:00:00Z\",\n  \"endTime\": \"2026-01-01T00:00:00Z\",\n  \"paused\": true,\n  \"closeOnly\": true,\n  \"createdAt\": \"2026-01-01T00:00:00Z\",\n  \"settings\": {\n    \"tradingDelayForNonWhitelistUsers\": 0,\n    \"preMarketStatus\": \"off\",\n    \"showAlert\": true,\n    \"alertType\": \"warning\",\n    \"alertTitle\": \"string\",\n    \"alertSubtitle\": \"string\"\n  }\n}\n\n[]prelaunch.Type: object\n\n[]prelaunch.Required fields: address, assetName, startTime, endTime, paused, closeOnly, createdAt, settings\n\n[]prelaunch.Required field types: address (string; required), assetName (string; required), startTime (string · date-time · nullable; required), endTime (string · date-time · nullable; required), paused (boolean; required), closeOnly (boolean; required), createdAt (string · date-time; required), settings (object · nullable; required)\n\n[]prelaunch.Prelaunch\n\n- []prelaunch.address (string; required)\n\n[]prelaunch.address example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]prelaunch.address.Type: string\n\n- []prelaunch.assetName (string; required)\n\n[]prelaunch.assetName example: string\n\n[]prelaunch.assetName.Type: string\n\n- []prelaunch.startTime (string · date-time · nullable; required)\n\n[]prelaunch.startTime example: 2026-01-01T00:00:00Z\n\n[]prelaunch.startTime.Type: string · date-time · nullable\n\n[]prelaunch.startTime.format: date-time\n\n- []prelaunch.endTime (string · date-time · nullable; required)\n\n[]prelaunch.endTime example: 2026-01-01T00:00:00Z\n\n[]prelaunch.endTime.Type: string · date-time · nullable\n\n[]prelaunch.endTime.format: date-time\n\n- []prelaunch.paused (boolean; required)\n\n[]prelaunch.paused example: true\n\n[]prelaunch.paused.Type: boolean\n\n- []prelaunch.closeOnly (boolean; required)\n\n[]prelaunch.closeOnly example: true\n\n[]prelaunch.closeOnly.Type: boolean\n\n- []prelaunch.createdAt (string · date-time; required)\n\n[]prelaunch.createdAt example: 2026-01-01T00:00:00Z\n\n[]prelaunch.createdAt.Type: string · date-time\n\n[]prelaunch.createdAt.format: date-time\n\n- []prelaunch.settings (object · nullable; required)\n\n[]prelaunch.settings example: {\n  \"tradingDelayForNonWhitelistUsers\": 0,\n  \"preMarketStatus\": \"off\",\n  \"showAlert\": true,\n  \"alertType\": \"warning\",\n  \"alertTitle\": \"string\",\n  \"alertSubtitle\": \"string\"\n}\n\n[]prelaunch.settings.Type: object · nullable\n\n[]prelaunch.settings.Required fields: none\n\n- []prelaunch.settings.tradingDelayForNonWhitelistUsers (number; optional)\n\n[]prelaunch.settings.tradingDelayForNonWhitelistUsers example: 0\n\n[]prelaunch.settings.tradingDelayForNonWhitelistUsers.Type: number\n\n- []prelaunch.settings.preMarketStatus (string · enum; optional)\n\n[]prelaunch.settings.preMarketStatus example: off\n\n[]prelaunch.settings.preMarketStatus.Type: string · enum\n\n[]prelaunch.settings.preMarketStatus.Allowed values: [\"off\",\"whitelistOnly\",\"allowedForAll\"]\n\n- []prelaunch.settings.showAlert (boolean; optional)\n\n[]prelaunch.settings.showAlert example: true\n\n[]prelaunch.settings.showAlert.Type: boolean\n\n- []prelaunch.settings.alertType (string · enum; optional)\n\n[]prelaunch.settings.alertType example: warning\n\n[]prelaunch.settings.alertType.Type: string · enum\n\n[]prelaunch.settings.alertType.Allowed values: [\"warning\",\"success\",\"info\",\"error\"]\n\n- []prelaunch.settings.alertTitle (string; optional)\n\n[]prelaunch.settings.alertTitle example: string\n\n[]prelaunch.settings.alertTitle.Type: string\n\n- []prelaunch.settings.alertSubtitle (string; optional)\n\n[]prelaunch.settings.alertSubtitle example: string\n\n[]prelaunch.settings.alertSubtitle.Type: string\n\nExample\n\n\n\n```json\n[\n  {\n    \"address\": \"string\",\n    \"amm\": {\n      \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"txId\": \"string\",\n      \"call\": \"OffchainOracleTick\",\n      \"height\": \"0\",\n      \"blockTimestamp\": \"2026-01-01T00:00:00Z\",\n      \"seqno\": \"0\",\n      \"indexPrice\": \"0\",\n      \"baseOraclePrice\": \"0\",\n      \"quoteOraclePrice\": \"0\",\n      \"quoteAssetReserve\": \"0\",\n      \"baseAssetReserve\": \"0\",\n      \"baseAssetReserveWeight\": \"0\",\n      \"quoteAssetReserveWeight\": \"0\",\n      \"totalPositionSize\": \"0\",\n      \"totalLongPositionSize\": \"0\",\n      \"totalShortPositionSize\": \"0\",\n      \"openInterestNotional\": \"0\",\n      \"openInterestShort\": \"0\",\n      \"openInterestLong\": \"0\",\n      \"latestLongPremiumFraction\": \"0\",\n      \"latestShortPremiumFraction\": \"0\",\n      \"nextFundingBlock\": \"2026-01-01T00:00:00Z\",\n      \"longFundingRate\": \"0\",\n      \"shortFundingRate\": \"0\",\n      \"vpiMarketDepthLong\": \"0\",\n      \"vpiMarketDepthShort\": \"0\",\n      \"vpiSpread\": \"0\",\n      \"vpiCoefficient\": \"0\"\n    },\n    \"change\": {\n      \"quoteVolume\": \"0\",\n      \"baseVolume\": \"0\",\n      \"initialPrice\": 0\n    },\n    \"incentive\": {\n      \"timestamp\": \"2026-01-01T00:00:00Z\",\n      \"twapIndexPrice\": \"0\",\n      \"twapSpotPrice\": \"0\",\n      \"longFundingRate\": \"0\",\n      \"shortFundingRate\": \"0\"\n    },\n    \"settings\": {\n      \"fee\": \"0\",\n      \"executionFee\": \"0\",\n      \"rolloverFee\": \"0\",\n      \"fundingPeriod\": 0,\n      \"ammType\": \"string\",\n      \"minInitMarginRatio\": \"0\",\n      \"initMarginRatio\": \"0\",\n      \"maintenanceMarginRatio\": \"0\",\n      \"liquidationFeeRatio\": \"0\",\n      \"partialLiquidationRatio\": \"0\",\n      \"spreadLimit\": \"0\",\n      \"maxPriceImpact\": \"0\",\n      \"maxPriceSpread\": \"0\",\n      \"maxOpenNotional\": \"0\",\n      \"feeToStakersPercent\": \"0\",\n      \"maxOracleDelay\": 0,\n      \"fundingMode\": 0,\n      \"oracleMode\": 0,\n      \"positionMode\": 0,\n      \"fundingSettings\": {\n        \"lowFundingFnA\": 0,\n        \"lowFundingFnB\": 0,\n        \"highFundingFnA\": 0,\n        \"highFundingFnB\": 0,\n        \"inflectionPoint\": 0\n      },\n      \"isCloseOnly\": true,\n      \"isPaused\": true,\n      \"status\": \"active\"\n    },\n    \"config\": {\n      \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"imageLink\": \"string\",\n      \"quoteAsset\": \"string\",\n      \"baseAsset\": \"string\",\n      \"name\": \"string\",\n      \"ticker\": \"string\",\n      \"vaultAddress\": \"string\",\n      \"type\": \"string\",\n      \"tags\": [\n        \"string\"\n      ],\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"isDayTrading\": true,\n      \"dayTradingLeverageLimit\": 0\n    },\n    \"prelaunch\": {\n      \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n      \"assetName\": \"string\",\n      \"startTime\": \"2026-01-01T00:00:00Z\",\n      \"endTime\": \"2026-01-01T00:00:00Z\",\n      \"paused\": true,\n      \"closeOnly\": true,\n      \"createdAt\": \"2026-01-01T00:00:00Z\",\n      \"settings\": {\n        \"tradingDelayForNonWhitelistUsers\": 0,\n        \"preMarketStatus\": \"off\",\n        \"showAlert\": true,\n        \"alertType\": \"warning\",\n        \"alertTitle\": \"string\",\n        \"alertSubtitle\": \"string\"\n      }\n    }\n  }\n]\n```","text":"List markets Returns full markets info with current state GET /api/markets Markets 200 Response","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}